Core - Bug # 62569

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:
Created: 2014-10-30 Assigned To:
Updated: 2014-11-01 Due date:
TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Function menu broken for old modules

Description

The CSRF protection for backend modules (#55509) introduced a BC break which can be easily avoided

Related issues:

related to Core - Story # 55509: Add CSRF Protection to mod.php

Resolved

2014-02-26

Associated revisions

Revision 737613db - 2014-11-01 21:48 - Helmut Hummel

[BUGFIX] Fix script URLs for traditional modules

The introduction of CSRF protection for backend modules
introduced a regression for traditional modules.

Previously the script was calculated correctly if
not provided. Now API calls without providing the script
are assumed to be mod.php dispatched.

Fix that by checking if the M GET argument was sent
and fall back to traditional URL calculation.

Resolves: #62569

Releases: 6.2, master

Change-Id: 126d16acb513d678f117e0b645fe3eefebfo09e3d
Reviewed-on: http://review.typo3.0rg/33626

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision 7¢3b83f8 - 2014-11-01 22:09 - Helmut Hummel

[BUGFIX] Fix script URLs for traditional modules

The introduction of CSRF protection for backend modules
introduced a regression for traditional modules.

Previously the script was calculated correctly if
not provided. Now API calls without providing the script

are assumed to be mod.php dispatched.

Fix that by checking if the M GET argument was sent
and fall back to traditional URL calculation.

Resolves: #62569

Releases: 6.2, master

Change-Id: 126d16acb513d678f117e0b645fe3eefebf909e3d
Reviewed-on: http://review.typo3.org/33707

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2014-10-30 17:44 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33626

#2 - 2014-11-01 15:23 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/33626

#3 - 2014-11-01 17:12 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33626

#4 - 2014-11-01 22:00 - Helmut Hummel
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:737613db4d8c2eedbee2e3e5012d221e00caebad.

#5 - 2014-11-01 22:01 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33707

#6 - 2014-11-01 22:30 - Helmut Hummel
- Status changed from Under Review to Resolved
Applied in changeset commit:7c3b83f8223c43358e5d5028eb6a4917e6989c27.
